summaryrefslogtreecommitdiffstats
path: root/ssh
diff options
context:
space:
mode:
authorRomain Forlot <romain.forlot@iot.bzh>2017-05-24 17:55:25 +0200
committerRomain Forlot <romain.forlot@iot.bzh>2018-10-15 18:22:20 +0200
commitb7b68ca206f351c85847801e303d7694d6130b4f (patch)
treeef610f6fbf18f667d0bf07e1e62237ee95ff3681 /ssh
parent6adddda37096cbaf470bd05066d383ec4a02d034 (diff)
Added missing files...
Change-Id: I4e359bb76bbd60833970ece52c12596196a22b02 Signed-off-by: Romain Forlot <romain.forlot@iot.bzh>
Diffstat (limited to 'ssh')
-rw-r--r--ssh/start-on-target.in25
1 files changed, 25 insertions, 0 deletions
diff --git a/ssh/start-on-target.in b/ssh/start-on-target.in
new file mode 100644
index 0000000..309a059
--- /dev/null
+++ b/ssh/start-on-target.in
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# File: start-on-target.sh
+# Author: Fulup Ar Foll @ IoT.bzh
+# Object: Forward signal (SIGTERM) to remote process
+# Created on 24-May-2017, 09:23:37
+# Usage: remote-target-populate update script under ./build directory
+
+# Do not change manually use 'make remote-target-populate'
+export RSYNC_TARGET=@RSYNC_TARGET@
+export PROJECT_NAME=@PROJECT_NAME@
+export RSYNC_PREFIX=@RSYNC_PREFIX@/@PROJECT_NAME@
+export AFB_REMPORT=@AFB_REMPORT@
+export AFB_TOKEN=@AFB_TOKEN@
+
+exec ssh -tt $RSYNC_TARGET << EOF
+ afb-daemon --workdir=$RSYNC_PREFIX --port=$AFB_REMPORT --roothttp=./htdocs --ldpath=./lib --verbose --token=$AFB_TOKEN &
+ PID_DAEMON=\$!
+
+ trap "echo REMOTE-SIGNAL TRAP; kill -15 \$PID_DAEMON" INT QUIT TERM EXIT
+
+ # wait for daemon to finish
+ wait \$PID_DAEMON
+ exit
+EOF